import './style.css'

// Components
export { default as FxButton } from './components/FxButton.vue'
export { default as FxInput } from './components/FxInput.vue'
export { default as FxTable } from './components/FxTable.vue'

// Types
export type { ButtonSize, ButtonVariant } from './components/FxButton.vue'
export type { InputSize } from './components/FxInput.vue'
export type { TableColumn } from './components/FxTable.vue'

// Plugin
import type { App } from 'vue'
import FxButton from './components/FxButton.vue'
import FxInput from './components/FxInput.vue'
import FxTable from './components/FxTable.vue'

export default {
  install(app: App) {
    app.component('FxButton', FxButton)
    app.component('FxInput', FxInput)
    app.component('FxTable', FxTable)
  }
}
